*{
    margin: 0;
    padding: 0;
}

*{
  margin: 0;
  padding: 0;
	box-sizing: border-box;
}

html,body{
  min-width: 100%;
  overflow-x: hidden;
  font-size: 16px;
  font-family: 'Montserrat', sans-serif;
}

header .navigation {
  display: flex;
  justify-content: space-between;
  align-items: center;
  position: fixed;
  min-height: 12vh;
  min-width: 100%;
  z-index: 10;
  background: #2b2b2b;
  border-bottom: 2px solid #2b2b2b;
  position: fixed;
}

header .navigation .logo{
  margin-left: 20px;
}

header .navigation .logo h3{
  color: #b1d4e0;
  font-size: 30px;
  line-height: 38px;
}

header .navigation .menu-list {
  list-style: none;
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 45%;
  margin: auto 20px auto 0;
}

header .navigation .humbarger {
  margin-right: 20px;
  display: none;
 }
 
header .navigation .humbarger .bar{
  width: 30px;
  height: 2px;
  margin: 7px;
  background: #b1d4e0;
 }

header .navigation .menu-list li a {
  color: #b1d4e0;
  font-size: 1.25rem;
  letter-spacing: 2px;
  text-transform: uppercase;
  cursor: pointer;
  transition: color 1s ease, border 1s ease;
  text-decoration: none;
}


header .navigation .menu-list.active {
  display: block;
}

.pocetna{
    width: 100vw;
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 6rem;
    flex-wrap: nowrap;
}

h1{
    font-size: 3.125rem;
}

.left{
  display: flex;
  align-items: center;
  flex-direction: column;
  width: 30vw;
  height: auto;
}

.frame{
  width: 40vw;
  height: 65vh;
  background-color: purple;
  background-image: url(slike/pocetna.jpg);
  background-repeat: no-repeat;
  background-size: cover;
  border-radius: 2em;
  border: 10px solid #2b2b2b ;
}


.o_nama{
  background-color: #2b2b2b;
  color: white;
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 4rem;

  padding: 5rem 8rem;
}

/* LEFT TEXT */

.o_nama_text{
  flex: 1;
  max-width: 40rem;

}

.o_nama_text h2{
  font-size: 2.5rem;
  margin-bottom: 1rem;
}

.o_nama_text p{
  font-size: 1rem;
  line-height: 1.6;
}

/* RIGHT IMAGE */

.o_nama_slika{
  flex: 1;
  display: flex;
  justify-content: center;
}

.o_nama_slika img{
  width: 100%;
  max-width: 500px;
  border-radius: 20px;
}

.features{
  display: grid;
  grid-template-columns: repeat(5, 1fr);
  gap: 1.5rem;
  padding: 3rem 6rem;
}

/* CARD */

.feature{
  display: flex;
  align-items: center;
  gap: 1rem;

  padding: 1rem 1.5rem;

  border: 1px solid #d9d9d9;
  border-radius: 10px;
  background: white;
}

.feature i{
  font-size: 1.5rem;
}

.feature span{
  font-size: 1rem;
}

/*GALERIJA*/
.gallery-slider{
  width: 100%;
  height: 70vh;
  position: relative;

  display: flex;
  align-items: center;
  justify-content: center;

  overflow: hidden;

 margin-top: 10vh;
 margin-bottom: 10vh;
}

/* slider container */

.slider{
  width: 100%;
  height: 100%;
  position: relative;
}

/* images */

.slide{
  width: 100%;
  height: 100%;

  object-fit: contain;

  position: absolute;
  top: 0;
  left: 0;

  opacity: 0;
  transition: opacity 0.5s ease;
}

.slide.active{
  opacity: 1;
}

/* arrows */

.slider-btn{
  position: absolute;
  top: 50%;
  transform: translateY(-50%);

  background: rgba(0,0,0,0.4);
  color: white;
  border: none;

  font-size: 2rem;
  padding: 0.5rem 1rem;

  cursor: pointer;
  z-index: 2;
}

.prev{
  left: 20px;
}

.next{
  right: 20px;
}

.slider-btn:hover{
  background: rgba(0,0,0,0.7);
}




/*lokacije*/

.lokacije{
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 4rem;

  padding: 5rem 8rem;
}

/* category box */

.info_box h3{
  font-size: 1.3rem;
  margin-bottom: 1.5rem;
}

/* list item */

.item{
  display: flex;
  justify-content: space-between;
  margin-bottom: 0.8rem;
  font-size: 0.95rem;
}

/* distance style */

.item span:last-child{
  color: #777;
}



.karta{
  width: 100%;
  min-height: 100vh;

  display: flex;
  align-items: center;
  justify-content: center;
  flex-wrap: wrap;

  gap: 5rem;
  padding: 3rem;

  background-color: #2b2b2b;
}

.box{
  width: 20vw;
  height: 50vh;

  background-color: #777;

  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;

  text-align: center;
  color: white;
}

.box a{
  text-decoration: none;
  color: #b1d4e0;
}

/* MAP */

.box iframe{
  width: 100%;
  height: 100%;
  border: none;
  display: block;
}

.cjenik{
  width: 100%;
  min-height: 100vh;

  display: flex;
  align-items: center;
  justify-content: center;
  flex-wrap: wrap;

  gap: 4rem;
  padding: 3rem;
}

.cjene{
  width: 20vw;
  height: 50vh;

  background-color: #2b2b2b;

  display: flex;
  align-items: center;
  justify-content: center;

  color: white;
}

.rezervacija{
  width: 100%;
  min-height: 100vh;

  display: flex;
  justify-content: center;
  align-items: center;

  background-color: #f5f5f5;
  padding: 2rem;
}

/* FORM */

.rezervacija{
  width: 100%;
  min-height: 100vh;

  display: flex;
  justify-content: center;
  align-items: center;

  background: #f5f5f5;
  padding: 2rem;
}

/* MAIN CONTAINER */

.container{
  width: 100%;
  max-width: 1100px;

  display: flex;
  justify-content: space-between;
  align-items: center;

  background: #eaeaea;
  padding: 3rem;
  border-radius: 20px;
}

/* LEFT SIDE */

.info{
  flex: 1;
}

.small{
  font-size: 0.8rem;
  color: #777;
  margin-bottom: 1rem;
}

.info h2{
  font-size: 2.2rem;
  margin-bottom: 1rem;
}

.desc{
  color: #555;
  margin-bottom: 2rem;
  max-width: 400px;
}

.contact p{
  margin-bottom: 0.5rem;
}

/* FORM CARD */

.rezervacija{
  width: 100%;
  min-height: 100vh;

  display: flex;
  justify-content: center;
  align-items: center;

  background: #f5f5f5;
  padding: 2rem;
}

/* MAIN CONTAINER */

.container{
  width: 100%;
  max-width: 1100px;

  display: flex;
  justify-content: space-between;
  align-items: center;

  background: #eaeaea;
  padding: 3rem;
  border-radius: 20px;
}

/* LEFT SIDE */

.info{
  flex: 1;
}

.small{
  font-size: 0.8rem;
  color: #777;
  margin-bottom: 1rem;
}

.info h2{
  font-size: 2.2rem;
  margin-bottom: 1rem;
}

.desc{
  color: #555;
  margin-bottom: 2rem;
  max-width: 400px;
}

.contact p{
  margin-bottom: 0.5rem;
}

/* FORM CARD */

.form{
  flex: 1;
  max-width: 400px;

  background: white;
  padding: 2rem;
  border-radius: 20px;

  display: flex;
  flex-direction: column;
  gap: 1rem;

  box-shadow: 0 10px 30px rgba(0,0,0,0.1);
}



input{  
  width: 20vw;
  height: 5vh;
  border-radius: 20px;
  border: 1px solid #2b2b2b;
  margin: 5px;
}

/* INPUT GROUP */

.form-group{
  display: flex;
  flex-direction: column;
  gap: 0.3rem;
}

.form-group label{
  font-size: 0.85rem;
  color: red;
}

.form-group input{
  padding: 0.7rem;
  border-radius: 40px;
  border: 1px solid #ddd;
  outline: none;
}

/* BUTTON */

.btn{
  margin-top: 1rem;
  padding: 0.9rem;

  border: none;
  border-radius: 10px;

  background: linear-gradient(135deg, purple, rgb(160,0,160));
  color: white;

  cursor: pointer;
  transition: 0.2s;
}

.btn:hover{
  transform: scale(1.05);
}


footer{ 
  width: 100%;
  height: 20vh;

  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;

  gap: 1rem;

  background-color: #565656;
  color: white;
  text-align: center;
}

footer a{
  text-decoration: none;
  color: #b1d4e0;
}

footer a:hover{
   transform: scale(1.2);
}

/* icons */

.social{
  display: flex;
  gap: 1.5rem;
  font-size: 1.5rem;
}

.social i{
  cursor: pointer;
  transition: 0.2s;
}

.social i:hover{
  transform: scale(1.2);
}

/* Tablet desktop :768px. */

@media only screen and (min-width: 768px) and (max-width: 991px) {
  header .navigation .menu-list {
    width: 60%;
  }

  header .navigation .menu-list li a{
    font-size: 1rem;
  }

  .left{
    width: 50vw;
    gap: 1.25rem;
  }

  .pocetna h1{
    font-size: 2.25rem;
  }

   .pocetna{
    gap: 3rem;
    padding: 2rem;
  }

   .o_nama{
    padding: 4rem;
    gap: 3rem;
  }

  .o_nama_text h2{
    font-size: 2rem;
  }

   .lokacije{
    grid-template-columns: repeat(2, 1fr);
    padding: 4rem;
    gap: 3rem;
  }

  .karta{
    flex-direction: column;
    align-items: center;
  }

  .box{
    width: 60vw;
    height: 40vh;
  }

 .container{
    flex-direction: column;
    gap: 2rem;
    text-align: center;
  }

  .form{
    width: 100%;
    max-width: 500px;
  }

}

  .features{
    grid-template-columns: repeat(3, 1fr);
    padding: 3rem 3rem;
  }

   .footer{
    padding: 1.5rem 2rem;
  }   

/*GALERIJA*/
   .gallery-slider{
    height: 50vh;
  }

  .slider-btn{
    font-size: 1.5rem;
  }

  .cjenik{
      
    flex-direction: column;
  }


  .cjene{
    width: 40vw;
    height: 40vh;
  }

/* Large Mobile :480px. */

@media only screen and (max-width: 767px) {

  header .navigation .menu-list {
    position: absolute;
    top: 12vh;
    min-width: 100%;
    background: rgba(15, 20, 35, 0.99);
    text-align: center;
    display: none;
  }

  header .navigation .menu-list li {
    display: block;
  }

  header .navigation .menu-list li a {
    display: block;
    padding: 20px;
    transition: color 1s ease, padding 1s ease, background-color 1s ease;

  }

  header .navigation .menu-list li a:hover{
    color: #b1d4e0;
    padding-left: 30px;
    background: rgba(177, 212, 224, 0.2);
  }


  header .navigation .humbarger{
    display: block;
  }

  .intro-section .intro-content h3 {
    font-size: 2.8rem;
  }

  .intro-section .intro-content h6 {
    font-size: 1.4rem;
  }

  .intro-section .intro-content .changing {
    font-size: 1.5rem;
  }

  .intro-section .intro-content .header-btn a{
    font-size: 1.25rem;
  }

  .pocetna h1{
    font-size: 1.5rem;
     text-align: center;
  } 


  .pocetna{
    flex-direction: column;
    gap: 2rem;
    padding: 1.5rem;
  }

  .left{
    width: 100%;
    gap: 1rem;
  }

  .frame{
    width: 90vw;
    height: 40vh;
    border-radius: 1.5em;
  }


  .o_nama{
    flex-direction: column;
    text-align: left;
    padding: 3rem 2rem;
  }

  .o_nama_slika img{
    max-width: 100%;
  }


   .lokacije{
    grid-template-columns: 1fr;
    padding: 3rem 2rem;
  }

   .karta{
    flex-direction: column;
    gap: 2rem;
  }

   .container{
    flex-direction: column;
    gap: 2rem;
    text-align: center;
  }

  .form{
    width: 100%;
    max-width: 500px;
  }


  .box{
    width: 90%;
    height: 35vh;
  }


  .features{
    grid-template-columns: repeat(2, 1fr);
    padding: 2rem;
  }


   .footer{
    flex-direction: column;
    gap: 1rem;
    text-align: center;
  }


  /*GALERIJA*/
   .gallery-slider{
    height: 40vh;
  }


    .cjenik{
    flex-direction: column;
  }

  .cjene{
    width: 90%;
    height: 35vh;
  }
}


/* small mobile :320px. */

@media only screen and (max-width: 479px) {

  .intro-inner .intro-content h3 {
    font-size: 2rem;
    letter-spacing: 1px;
  }

  .intro-inner .intro-content p {
    margin-top: 10px;
  }

}
    